Bug 210058 - Changes to Brazil DST date
Changes to Brazil DST date
Product: Fedora
Classification: Fedora
Component: tzdata (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Machata
Depends On:
Blocks: 210059 210131 210132
  Show dependency treegraph
Reported: 2006-10-09 15:29 EDT by Alexandre Oliva
Modified: 2015-05-04 21:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-10 08:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-10-09 15:29:37 EDT
Description of problem:
Because of the second round of Brazilian elections and the bad programming of
the voting machines, DST is being delayed again this year, to avoid the need for
reprogramming all of the machines before the second round.

Current tzdata thinks the change is on Oct 15, but it was delayed to Nov 5. 
Also, the end is scheduled by tzdata for Feb 18, but the official date is Feb 25.

It would be nice if this could be fixed in both FC6 (such that it doesn't get
out with this incorrect info) and earlier versions, and there's only one week
left :-(

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.export TZ=America/Sao_Paulo; date -d 'Nov 4 23:59 2006'; date -d 'Nov 5 01:00
2006'; date -d 'Feb 24 23:59 2007'; date -d 'Feb 25 01:00 2007'
Actual results:
Sat Nov  4 23:59:00 BRST 2006
Sun Nov  5 01:00:00 BRST 2006
Sat Feb 24 23:59:00 BRT 2007
Sun Feb 25 01:00:00 BRT 2007

Expected results:
Sat Nov  4 23:59:00 BRT 2006
Sun Nov  5 01:00:00 BRST 2006
Sat Feb 24 23:59:00 BRST 2007
Sun Feb 25 01:00:00 BRT 2007

Additional info:
The presidential decree that establishes these changes is available at
http://www.mme.gov.br/download.do?attachmentId=8112&download (it's a PDF file,
even though the MIME time and the extensions don't say so)
Comment 1 Alexandre Oliva 2006-10-09 15:45:51 EDT
http://article.gmane.org/gmane.comp.time.tz/1282 has a proposed patch that
includes this fix.  It's probably not final, but it fixes the immediate problem.
Comment 2 Petr Machata 2006-10-10 08:29:00 EDT
I applied the proposed patch.  It should be in rawhide and FC5 within days.  I
don't know about FC6, we are in deep freeze state, but I contacted release
engineering anyway.

Note You need to log in before you can comment on or make changes to this bug.